document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_4200 | ---
+++
@@ -5,6 +5,13 @@
pushd .
BUILD_DIR="$BASE_DIR/libssh/build/"
+
+if [[ "$1" == "clean" ]]; then
+ echo "Cleaning up"
+ rm -rf ${BUILD_DIR}
+fi
+
+mkdir -p ${BUILD_DIR}
cd ${BUILD_DIR}
@@ -22,7 +29,9 @@
echo "Unpacking OpenSSL"
tar xfz "${OPENSSL_FILE}"
+OSX_SDK=$(xcrun --sdk macosx --show-sdk-path... | bash |
d_bash_4201 | ---
+++
@@ -6,7 +6,10 @@
. ./_bootstrap.sh
if [ -n "$1" ]; then
- run_test $1
+ while [ -n "$1" ]; do
+ run_test $1
+ shift
+ done
else
for each in test_*.sh; do
run_test ${each} | bash |
d_bash_4202 | ---
+++
@@ -4,4 +4,3 @@
mkdir /etc/udev/rules.d/70-persistent-net.rules
rm /lib/udev/rules.d/75-persistent-net-generator.rules
rm -rf /dev/.udev/ /var/lib/dhcp3/*
-echo "pre-up sleep 2" >> /etc/network/interfaces | bash |
d_bash_4203 | ---
+++
@@ -4,7 +4,9 @@
set -ex
apt-get update
-apt-get install -y texinfo texi2html xz-utils
+# Make sure requires packages are installed(either on host or insider
+# docker)
+apt-get install -y texinfo texi2html xz-utils make gcc g++
GRTE_PREFIX=$1
GRTE_TMPDIR=$2 | bash |
d_bash_4204 | ---
+++
@@ -21,6 +21,24 @@
echo PASS
else
echo FAIL
+ fi
+ }
+
+ assertExists(){
+ local path=$(readvar ${1})
+
+ if [[ $(StringValidator isSubstring path ".") ]]; then
+ if [[ -e ${path} ]]; then
+ echo PASS
+ else
+ echo FAIL
+ fi
+ else
+ if [[ -d ${path} ]]; then
+ echo PASS
+ el... | bash |
d_bash_4205 | ---
+++
@@ -1,6 +1,6 @@
#!/usr/bin/env sh
if [ $OS == "windows" ]; then
- MY_PWD="$(cygpath -m $(pwd) | sed -e 's#/#\\\\\\\\#g')\\\\\\\\"
+ MY_PWD="$(cygpath -m $(pwd))\\\\"
else
MY_PWD=$(pwd)/
fi | bash |
d_bash_4206 | ---
+++
@@ -15,3 +15,5 @@
alias gpom='git pull origin master'
alias gpm='git push origin master'
alias gph='git push heroku master'
+
+alias gbd='git branch -d' | bash |
d_bash_4207 | ---
+++
@@ -12,7 +12,7 @@
function install_bundler_if_needed() {
echo "Checking for Bundler..."
- gem install bundler "$bundler_version" --conservative || exit 1
+ gem install bundler --conservative || exit 1
}
function update_gems_if_needed() { | bash |
d_bash_4208 | ---
+++
@@ -7,8 +7,11 @@
node_dirs=$(ls -d /opt/nodejs/node-v* | sort -r) # let higher version first
for nodejs_root in $node_dirs;do
local nodejs_bin_dir=$nodejs_root/bin
+ local nodejs_lib_dir=$nodejs_root/lib/node_modules
if [[ -x $nodejs_bin_dir/node ]];then
[[ $PATH != *$nodejs_bin_dir*... | bash |
d_bash_4209 | ---
+++
@@ -11,6 +11,9 @@
#use alsa directly
: ${INPUT_DEVICE:='hw:0,1,0'}
+: ${MAX_BITRATE:='1984'}
+: ${BUFSIZE:=$(($MAX_BITRATE * 2))}
+
#use pulse for audio input
#INPUT_DEVICE='pulse'
@@ -21,6 +24,6 @@
exec ffmpeg -y -v info \
-f x11grab -r $RATE -s $RESOLUTION -thread_queue_size $QUEUE_SIZE -i :0.... | bash |
d_bash_4210 | ---
+++
@@ -12,6 +12,7 @@
bison
dialog
emacs
+ f3
git
gron
homebrew/dupes/rsync | bash |
d_bash_4211 | ---
+++
@@ -38,7 +38,7 @@
echo "Note: installing uxtaf" >&2
pushd $REPODIR/deps/uxtaf
-./bootstrap && ./configure --prefix=$INSTALLDIR --without-libewf && make -j && $MAKEINSTALL
+./bootstrap.sh && ./configure --prefix=$INSTALLDIR --without-libewf && make -j && $MAKEINSTALL
popd
echo "Done." | bash |
d_bash_4212 | ---
+++
@@ -7,7 +7,7 @@
docker login -u "$DOCKER_USERNAME" -p "$DOCKER_PASSWORD"
docker push ${DOCKER_REPOSITORY}:${TRAVIS_COMMIT}
-docker tag -f ${DOCKER_REPOSITORY}:${TRAVIS_COMMIT} ${DOCKER_REPOSITORY}:last_successful_build
+docker tag ${DOCKER_REPOSITORY}:${TRAVIS_COMMIT} ${DOCKER_REPOSITORY}:last_successful_... | bash |
d_bash_4213 | ---
+++
@@ -11,6 +11,6 @@
if [ $TRAVIS_OS_NAME == osx ]; then
# brew update
- brew upgrade boost@1.66
+ brew upgrade boost
brew install llvm@6
fi | bash |
d_bash_4214 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright (c) 2009 The Chromium OS Authors. All rights reserved.
+# Copyright (c) 2010 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
@@ -30,7 +30,13 @@
# Die on error; p... | bash |
d_bash_4215 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/sh -u
echo "==> Zero out the free space to save space in the final image";
-dd if=/dev/zero of=/EMPTY bs=1M || echo "dd exit code $? is suppressed";
+dd if=/dev/zero of=/EMPTY bs=1m || echo "dd exit code $? is suppressed";
rm -f /EMPTY;
# Block until the empty file has been remove... | bash |
d_bash_4216 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
-set -e
+set -ex
source ./script/ci/includes.sh
# Add production git remote if required | bash |
d_bash_4217 | ---
+++
@@ -13,7 +13,7 @@
fi
if [ -d /var/cracklord ]; then
chown -R cracklord:cracklord /var/cracklord
- chmod -R 640 /var/cracklord
+ chmod -R 740 /var/cracklord
fi
if [ -d /var/log/cracklord ]; then
chown -R cracklord:cracklord /var/log/cracklord | bash |
d_bash_4218 | ---
+++
@@ -34,9 +34,6 @@
\"VolumeName\": {
\"type\": \"string\",
\"index\": \"not_analyzed\"
- },
- \"VolBytes\": {
- \"type\": \"byte\"
}
}
} | bash |
d_bash_4219 | ---
+++
@@ -13,6 +13,7 @@
-DCMAKE_CXX_COMPILER=${COMPILER} \
-DCMAKE_BUILD_TYPE=${RELEASE} \
-DOPENVDB_ABI_VERSION_NUMBER=${ABI} \
+ -DOPENVDB_USE_DEPRECATED_ABI=ON \
-DUSE_BLOSC=${BLOSC} \
-DOPENVDB_CXX_STRICT=ON \
-DOPENVDB_BUILD_UNITTESTS=ON \ | bash |
d_bash_4220 | ---
+++
@@ -34,6 +34,7 @@
gem 'awesome_print'
gem 'colorize'
gem 'wirb'
+gem 'rest-client'
__EOF__
echo "Added these gems to $CUSTOM_GEM_FILE so they are available to your local instance:" | bash |
d_bash_4221 | ---
+++
@@ -5,7 +5,7 @@
typeset version=$( ldd --version | head -1 | sed 's/^.*) //' )
echo "version of GLIBC: ${version}"
#test if the version is vulnerable
- typeset -i subversion=$( echo ${version} | cut -d'.' -f 2- )
+ typeset -i subversion=$( echo ${version} | cut -d'.' -f 2 )
if [[ "${subversion}" -ge ... | bash |
d_bash_4222 | ---
+++
@@ -3,12 +3,27 @@
set -x
set -e
-TARBALL=VF785_20140321.tar.xz
+ARCHIVE_FILENAME=VF785_20140321.tar.xz
+ARCHIVE_URL=http://sourceforge.net/projects/alcatel/files/${ARCHIVE_FILENAME}/download
+ARCHIVE_MD5=b5b406b30e054aef76bf13b6937e5c7c
+ARCHIVE_SHA1=76b05a23549aab7e0b9d58833d59d6d527f202e9
-if [ ! -f $... | bash |
d_bash_4223 | ---
+++
@@ -2,4 +2,4 @@
python /usr/src/app/manage.py collectstatic --noinput
python /usr/src/app/manage.py compilemessages
-gunicorn ui.wsgi --bind [::1]:$PORT --bind 0.0.0.0:$PORT --log-file -
+gunicorn ui.wsgi --bind 0.0.0.0:$PORT --log-file - | bash |
d_bash_4224 | ---
+++
@@ -14,7 +14,8 @@
brew install zsh
brew install fzf
brew install romkatv/powerlevel10k/powerlevel10k
-brew install neovim
+brew install --build-from-source --HEAD luajit
+brew install --build-from-source --HEAD neovim
brew install git-delta
brew install stow
brew cask install alacritty | bash |
d_bash_4225 | ---
+++
@@ -11,8 +11,11 @@
alias pd='playdir'
playdirs() {
+ if [[ $(uname) == "Linux" ]]; then READLINK=readlink;
+ else READLINK=greadlink; fi
mpv --no-video --shuffle --loop inf \
- --playlist <(find "$@" -type f -follow -exec readlink -f {} \;)
+ --playlist <(find "$@" -type f -follow -exec $READLI... | bash |
d_bash_4226 | ---
+++
@@ -17,15 +17,27 @@
}
hasUniqueEntry(){
- local tempArray=($(ArrayUtil flipArray $@))
+ local flip=($(ArrayUtil flipArray $@))
- entry=${tempArray[0]}
- array=(${tempArray[@]/${entry}/})
+ entry=${flip[0]}
+ array=(${flip[@]:1})
- if [[ "${array[@]}" == *${entry}* ]]; then
- return;
+ if [... | bash |
d_bash_4227 | ---
+++
@@ -1,12 +1,17 @@
#!/bin/bash
-NODE_VERSION=`node --version | grep -i v0.12.*`
-IOJS_VERSION='iojs --version'
+NODE_VERSION=`node --version | grep -i v0.1[1-9].*`
+IOJS_VERSION=`iojs --version`
-echo $NODE_VERSION
+echo '#######'
+echo "Node Version ${NODE_VERSION}"
+echo "Iojs Version ${IOJS_VERSION}"
+... | bash |
d_bash_4228 | ---
+++
@@ -1,13 +1,15 @@
#!/bin/bash
-docker stop bedrock-code-${BUILD_NUMBER}
-docker rm bedrock-code-${BUILD_NUMBER}
+if [ "${DRIVER}" = "Remote" ]; then
+ docker stop bedrock-code-${BUILD_NUMBER}
+ docker rm bedrock-code-${BUILD_NUMBER}
-for NODE_NUMBER in `seq ${NUMBER_OF_NODES:-5}`;
-do
- docker sto... | bash |
d_bash_4229 | ---
+++
@@ -11,7 +11,7 @@
echo "=> Found Elasticsearch settings."
ip=${ELASTICSEARCH_HOST}
if [ "$ip" = "localhost" ]; then
- ip=$(curl "http://metadata/computeMetadata/v1/instance/network-interfaces/0/access-configs/0/external-ip" -H "X-Google-Metadata-Request: True")
+ ip='"+window.location.host... | bash |
d_bash_4230 | ---
+++
@@ -5,7 +5,7 @@
# Add the openc_bot to the Gemfile:
if [ ! -f Gemfile ]; then
echo "source 'https://rubygems.org'" >> Gemfile
- echo "gem 'openc_bot', :git => 'https://github.com/openc/openc_bot.git', :branch => 'simple-openc-bot'" >> Gemfile
+ echo "gem 'openc_bot', :git => 'https://github.com/openc/o... | bash |
d_bash_4231 | ---
+++
@@ -1,17 +1,19 @@
#!/bin/bash
/opt/envsubst < /envsubst_template.json > /conf/runtime.json
+
+VERSION=$(date +%y%m%d%H%M%S)
if [ "x$GIT_BRIDGE_JVM_ARGS" == "x" ]; then
GIT_BRIDGE_JVM_ARGS="-XX:+UseContainerSupport -XX:MaxRAMPercentage=50.0"
fi
if [ "$ENABLE_PROFILE_AGENT" == "true" ]; then
- GI... | bash |
d_bash_4232 | ---
+++
@@ -22,12 +22,17 @@
ask_details() {
clear
bold_echo 'Some contact information to be set in the lock screen:'
+ read -p 'Message > ' message
read -p 'Email address > ' email
read -p 'Telephone number > ' telephone
- sudo -S defaults write /Library/Preferences/com.apple.loginwindow Lo... | bash |
d_bash_4233 | ---
+++
@@ -19,8 +19,12 @@
if [ ! -d "$HOME/downloads/praat" ]; then
cd $HOME/downloads
- wget http://www.fon.hum.uva.nl/praat/praat5412_linux64.tar.gz
- tar -zxvf praat5412_linux64.tar.gz
+ latestVer=$(curl -s 'http://nginx.org/en/download.html' |
+ grep -o 'praat.+_linux64\.tar\.gz')
+
+ # Download.
+ ... | bash |
d_bash_4234 | ---
+++
@@ -18,7 +18,6 @@
# regenerated from their corresponding *.in files by ./configure anyway.
touch INSTALL
-cd "$olddir"
if ! test -f libglnx/README.md; then
git submodule update --init
fi
@@ -27,4 +26,5 @@
autoreconf --force --install --verbose || exit $?
+cd "$olddir"
test -n "$NOCONFIGURE" |... | bash |
d_bash_4235 | ---
+++
@@ -5,7 +5,7 @@
: ${PASSWD_FILE:=/etc/protonet/system/ssh/password}
: ${SUCCESS_FILE:=/etc/protonet/system/ssh/success}
: ${ERROR_FILE:=/etc/protonet/system/ssh/error}
-: ${SYSTEM_USER:=core}
+: ${SYSTEM_USER:=platform}
logger -p INFO -s "Setting password for user '${SYSTEM_USER}'."
# remove all newlin... | bash |
d_bash_4236 | ---
+++
@@ -7,7 +7,7 @@
# Common options
COMMON_OPTS="-a sourcedir=$USERGUIDE_INPUT_DIR -a imagesdir=$USERGUIDE_INPUT_DIR/assets"
# Selfcontained options
-SELFCONTAINED_EXTRA_OPTS="$COMMON_OPTS -T html5 -a stylesheet=kb.css -a stylesdir=../stylesheets -a source-highlighter=pygments"
+SELFCONTAINED_EXTRA_OPTS="$COM... | bash |
d_bash_4237 | ---
+++
@@ -40,8 +40,8 @@
if [[ "$branch" = "master" ]]
then
docker build -t $image_base:latest $repo
- docker tag -f $image_base:latest $image_base:$release_maj
- docker tag -f $image_base:latest $image_base:$release_min
+ docker tag $image_base:latest $image_base:$release_maj
+ docker tag $image_base:lates... | bash |
d_bash_4238 | ---
+++
@@ -3,6 +3,7 @@
# should be in the same directory as setup.py
echo "Installing packages..."
+apt-get update
apt-get install -y python python-pip
pip install -r requirements.txt
| bash |
d_bash_4239 | ---
+++
@@ -1,16 +1,34 @@
#!/usr/bin/env bash
if ! [[ -f ./.env ]]; then cp .env.dist .env; fi
+
+
export myUID=`id -u ${whoami}`
export myGID=`id -g ${whoami}`
export myIP=`ifconfig $(netstat -rn | grep -E "^default|^0.0.0.0" | head -1 | awk '{print $NF}') | grep 'inet ' | awk '{print $2}' | grep -Eo '([0-9]*... | bash |
d_bash_4240 | ---
+++
@@ -34,10 +34,10 @@
time sudo apt-get update
time sudo apt-get install -y ethereum
-# Make the ~/.ethereum directory to skip the legalese
-mkdir ~/.ethereum
+# Make the $$HOMEDIR/ethereum directory to skip the legalese
+mkdir $HOMEDIR/ethereum
-nohup geth > ~/geth.log &
+nohup geth > $HOMEDIR/geth.log &... | bash |
d_bash_4241 | ---
+++
@@ -26,7 +26,14 @@
)
mv build/out/include .
mkdir lib
- cp build/out/lib64/libcmocka-static.a lib/libcmocka.a
+ if [ -f build/out/lib64/libcmocka-static.a ]; then
+ cp build/out/lib64/libcmocka-static.a lib/libcmocka.a
+ elif [ -f build/out/lib/libcmocka-static.a ]; then
+ ... | bash |
d_bash_4242 | ---
+++
@@ -1,9 +1,9 @@
-#!/bin/bash
+#!/bin/sh
set -e
apk update && apk add git
-source /opt/resource/common.sh
+source /docker-lib.sh
start_docker
pushd LicenseFinder | bash |
d_bash_4243 | ---
+++
@@ -1,8 +1,34 @@
#!/bin/sh
set -e
-git submodule init
-git submodule update
+
+# Checkout master as we are currently have an individual commit checked out on
+# a detached tree. This means when we commit later it will be on a branch
+git checkout master
+git reset --hard origin/master
+
+# Init the submodul... | bash |
d_bash_4244 | ---
+++
@@ -23,6 +23,6 @@
cd $PROJECT_DIRECTORY
if [ "${CI}" = "true" ]; then
- yarn add coveralls
+ yarn add coveralls --ignore-engines
cat ./coverage/lcov.info | ./node_modules/coveralls/bin/coveralls.js
fi | bash |
d_bash_4245 | ---
+++
@@ -18,7 +18,7 @@
}
unbind_all_bindings() {
- grep -v copycat <"${TMPDIR:-/tmp}/copycat_$(whoami)_recover_keys" | while read key_cmd; do
+ grep -v copycat <"${TMPDIR:-/tmp}/copycat_$(whoami)_recover_keys" | while read -r key_cmd; do
sh -c "tmux $key_cmd"
done < /dev/stdin
rm "${TMPDIR:-/tmp}/copyca... | bash |
d_bash_4246 | ---
+++
@@ -7,7 +7,7 @@
src=maven2-repoclean
dst=maven2
-$repocleanhome/repoclean.sh ~/components/maven-meeper/src/bin/repoclean/synchronize.properties
+$repocleanhome/repoclean.sh ~/components/maven-meeper/src/bin/m1-m2-conversion/synchronize.properties
rsync --ignore-existing -rvpl $dir/$src/ $dir/$dst/ > $l... | bash |
d_bash_4247 | ---
+++
@@ -1,28 +1,29 @@
echo "build here"
-
-echo "Compiling new static content"
+echo "compile new static content"
make release
BUILD_WWW=`make build_www`
-echo "chmod"
-chmod 600 deploy-key
-echo "eval"
+# cf.
+# http://markbucciarelli.com/posts/2019-01-26_how-to-push-to-github-from-travis-ci.html
+# https:/... | bash |
d_bash_4248 | ---
+++
@@ -20,7 +20,7 @@
find "${FXPROFILE}" -type f -iname "*${USERJSEXT}" -ipath "*/*_scripts/*" -exec cp {} . \;
# Processing each file
-for file in `ls -1 *${USERJSEXT}`; do
+for file in *${USERJSEXT}; do
echo Processing "${file}"...
tr -d "\r" < "${file}" | sed -e 's/ \+$//' > "${file}.lf" | bash |
d_bash_4249 | ---
+++
@@ -8,7 +8,7 @@
OS_VERSION=12.04
OS_TOKEN="$OS-$OS_VERSION"
OS_CODENAME=precise
-ISO=ubuntu-12.04-server-amd64.iso
+ISO=ubuntu-12.04.1-server-amd64.iso
# uncomment to use the daily beta build, if you have it...
#ISO=precise-server-amd64.iso
| bash |
d_bash_4250 | ---
+++
@@ -1,4 +1,5 @@
# /bin/bash
+set -eEuo pipefail
gcloud run deploy ${_SERVICE} \
--platform managed --region ${_REGION} \
@@ -6,10 +7,12 @@
--allow-unauthenticated \
--add-cloudsql-instances ${_DATABASE_INSTANCE} \
--service-account cloudrun-berglas-python@${PROJECT_ID}.iam.gserviceacc... | bash |
d_bash_4251 | ---
+++
@@ -6,7 +6,7 @@
! test -d $VENDOR_DIR && mkdir $VENDOR_DIR
! test -d $SRC_DIR && mkdir $SRC_DIR
-if ! [ -f $VENDOR_DIR/bin/node ]; then
+if ! [ -f $RUN_DIR/bin/node ]; then
cd $SRC_DIR
echo "... installing node $VERSION"
wget -q http://nodejs.org/dist/node-v$VERSION.tar.gz
@@ -16,6 +16,7 @@... | bash |
d_bash_4252 | ---
+++
@@ -15,7 +15,7 @@
# is gzipped but before it's uploaded.
sleep 3
-gzip _site/try/bundle.js
+gzip <_site/try/bundle.js >_site/try/bundle.js.gz
ls -lh _site/try/bundle.js.gz
s3cmd put \ | bash |
d_bash_4253 | ---
+++
@@ -10,7 +10,7 @@
fi
apt-get update
-apt-get install -y git gnupg python3-pip python3-venv
+apt-get install -y git gnupg python3-pip python3-venv curl
# Install nodejs for running tests
curl -sL https://deb.nodesource.com/setup_10.x | bash - | bash |
d_bash_4254 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/bash
pushd ..
+ rm -f pcf-tile/resources/meta-azure-service-broker.zip
zip --exclude=*examples* --exclude=*docs* --exclude=*test* --exclude=*pcf-tile* --exclude=*node_modules* --exclude=README.md --exclude=manifest.yml -r pcf-tile/resources/meta-azure-service-broker.zip *
popd
... | bash |
d_bash_4255 | ---
+++
@@ -17,11 +17,11 @@
set -xe
if [ -z "$1" ]; then
- AWSUTILS_VERSION=0.57
+ AWSUTILS_VERSION=0.73
else
AWSUTILS_VERSION="$1"
fi
UTILS_VERSION=$AWSUTILS_VERSION
-wget -O - https://github.com/NitorCreations/aws-utils/archive/$UTILS_VERSION.tar.gz | tar -xzf - --strip 1 -C /
+curl -Ls https://github... | bash |
d_bash_4256 | ---
+++
@@ -4,6 +4,9 @@
cd ${KOKORO_ARTIFACTS_DIR}/git/tink
cd cc
+
+# TODO(b/140615798): Run all tests once fixed.
+
use_bazel.sh $(cat .bazelversion)
-bazel build ...
-bazel test ...
+bazel build -- ... -//integration/gcpkms/...
+bazel test -- ... -//integration/gcpkms/... | bash |
d_bash_4257 | ---
+++
@@ -17,6 +17,6 @@
OBJSUFFIX=$(git symbolic-ref -q HEAD | sed -e s,refs/heads/,.,)
OBJDIR=obj$OBJSUFFIX
-export LD_LIBRARY_PATH=$OBJDIR
+export LD_LIBRARY_PATH=$OBJDIR:/lib:/usr/lib:/usr/local/lib
export PYTHONPATH=bindings/python
| bash |
d_bash_4258 | ---
+++
@@ -2,6 +2,6 @@
DOCKER_TAG="$1"
-docker login -u="$DOCKER_USERNAME" -p="$DOCKER_PASSWORD" \
+echo "$DOCKER_PASSWORD" | docker login -u "$DOCKER_USERNAME" --password-stdin \
&& docker build -t $DOCKER_USERNAME/$DOCKER_REPOSITORY:$DOCKER_TAG . \
&& docker push $DOCKER_USERNAME/$DOCKER_REPOSITORY:$DOC... | bash |
d_bash_4259 | ---
+++
@@ -12,25 +12,8 @@
sed -i.bak 's/archive.ubuntu.com/mirrors.rit.edu/' /etc/apt/sources.list
# install LaTeX, nodejs, R, and base Haskell
-apt-get update && apt-get install --assume-yes --no-install-recommends \
- apache2 \
- cabal-install \
- ca-certificates \
- ccache \
- gdebi \
- git ... | bash |
d_bash_4260 | ---
+++
@@ -1,2 +1,5 @@
+if [ -d "$HOME/bin" ]; then
+ export PATH=$HOME/bin:$PATH
+fi
export PATH=$PATH:$DOTFILES_HOME/shell/powerline/scripts
export TERM=screen-256color | bash |
d_bash_4261 | ---
+++
@@ -12,5 +12,6 @@
-o ~/workspace/bosh-deployment/bosh-lite.yml \
-o ~/workspace/bosh-deployment/bosh-lite-runc.yml \
-o ~/workspace/bosh-deployment/jumpbox-user.yml \
- -o ~/workspace/1-click-bosh-lite-pipeline/operations/add-etc-hosts-entry.yml
+ -o ~/workspace/1-click-bosh-lite-pipeline... | bash |
d_bash_4262 | ---
+++
@@ -15,3 +15,14 @@
fi
source ${BASELIB_PATH};
+
+# The Plan
+# --------
+
+describe "baselib - createFileByCpIfNotExists"
+
+it_stops_with_no_arguments() {
+ local RETV;
+ RETV="$(createFileByCpIfNotExists && echo $? || echo $?)";
+ test ${RETV} -eq 10;
+} | bash |
d_bash_4263 | ---
+++
@@ -26,3 +26,6 @@
chown -R root:root ${ATMOSPHERE_HOME}/extras/ssh
+chown root:root ${ATMOSPHERE_HOME}/extras/logrotate.atmosphere
+
+chmod 644 ${ATMOSPHERE_HOME}/extras/logrotate.atmosphere | bash |
d_bash_4264 | ---
+++
@@ -2,4 +2,4 @@
pg_ctlcluster 9.1 main start
-/bin/bash
+tail -f /var/log/postgresql/postgresql-9.1-main.log | bash |
d_bash_4265 | ---
+++
@@ -1,12 +1,15 @@
#!/bin/sh
set -o errexit
-if [ $# -ne 1 ]
- then
- echo "Usage: run-seyren.sh GRAPHITE_URL"
+if [ -z ${GRAPHITE_URL} ]
+ then
+ if [ $# -ne 1 ]
+ then
+ echo "Usage: run-seyren.sh GRAPHITE_URL"
+ fi
+ export GRAPHITE_URL=$1
fi
-export GRAPHITE_U... | bash |
d_bash_4266 | ---
+++
@@ -1,3 +1,7 @@
+# This configuration file is used to test/build the project on Olery's private
+# Jenkins instance. Patches containing changes to this file made by people
+# outside of Olery will most likely be rejected.
+
# The name of the project, used for other settings such as the MySQL database
# and ... | bash |
d_bash_4267 | ---
+++
@@ -2,7 +2,7 @@
cat ponyup-init.sh | sh -s
-export PATH=$HOME/.local/share/ponyup/bin:"/Users/runner/Library/Application Support/ponyup/bin":$PATH
+export PATH=$HOME/.local/share/ponyup/bin:$PATH
ponyup update ponyc nightly
ponyup update changelog-tool nightly
ponyup update corral nightly | bash |
d_bash_4268 | ---
+++
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
-if [[ "$TRAVIS_PULL_REQUEST" != "false" ]] || [[ "$TRAVIS_BRANCH" != "master" ]]; then
+if [[ "$TRAVIS_PULL_REQUEST" != "false" ]] || ([[ -z "$TRAVIS_TAG" ]] && [[ "$TRAVIS_BRANCH" != "master" ]]); then
echo "Skipping deploy - this is not master"
exit 0
fi | bash |
d_bash_4269 | ---
+++
@@ -5,6 +5,6 @@
PDIR="$(dirname $0)/.."
-(cd $PDIR ; git submodule update --init)
+(cd $PDIR ; git pull ; git submodule update --init)
puppet apply --modulepath=${PDIR}/puppet/modules/ ${PDIR}/puppet/site.pp "$*" | bash |
d_bash_4270 | ---
+++
@@ -22,7 +22,7 @@
cd ./sandbox
echo "gem 'solidus', :path => '..'" >> Gemfile
-echo "gem 'solidus_auth_devise', :github => 'solidusio/solidus_auth_devise'" >> Gemfile
+echo "gem 'solidus_auth_devise'" >> Gemfile
cat <<RUBY >> Gemfile
group :test, :development do | bash |
d_bash_4271 | ---
+++
@@ -8,7 +8,8 @@
tar -zxvf $mapserver.tar.gz
mkdir $mapserver/build
cd $mapserver/build
-cmake -DWITH_KML=0 -DWITH_PHP=1 -DWITH_FCGI=0 -DWITH_SVGCAIRO=0 -DWITH_HARFBUZZ=0 -DWITH_FRIBIDI=0 ..
+cmake -DWITH_KML=1 -DWITH_PHP=1 -DWITH_FCGI=1 -DWITH_SVGCAIRO=0 -DWITH_HARFBUZZ=0 -DWITH_FRIBIDI=0 ..
+make clean
m... | bash |
d_bash_4272 | ---
+++
@@ -29,3 +29,4 @@
alias ffs='sudo $(fc -ln -1)'
alias fbrename='filebot -rename --db TheTVDB --format "{n} - {s00e00} - {t}" .'
+alias fbrenameanime='filebot -rename --db AniDB --format "{n} - {s00e00} - {t}" .' | bash |
d_bash_4273 | ---
+++
@@ -3,3 +3,4 @@
export ANT_OPTS="-Xmx512m"
export JAVA_OPTS="-Xmx512m"
export JAVA_HOME="/usr/lib/jvm/default-java"
+export PATH=$PATH:$HOME/dev/processing/processing | bash |
d_bash_4274 | ---
+++
@@ -2,3 +2,4 @@
mas install 497799835 # XCode
mas install 441258766 # Magnet
+mas install 1295203466 # Microsoft Remote Desktop | bash |
d_bash_4275 | ---
+++
@@ -1,3 +1,3 @@
#! /bin/sh
-java -jar build/SpaceTurtleCli.jar
+java -jar -Dconfig.file=conf/spaceturtle.conf build/SpaceTurtleCli.jar | bash |
d_bash_4276 | ---
+++
@@ -4,10 +4,10 @@
OPENSCAD_EXE=~/git/openscad_text_module/openscad
-for i in *.scad }
+for i in *.scad
do
#Close to 'Front' camera position
-$OPENSCAD_EXE -o $i.png --camera=0,0,0,75,0,25,500 $i &
+$OPENSCAD_EXE -o $i.png --enable=text --camera=0,0,0,75,0,25,150 $i &
done
wait
| bash |
d_bash_4277 | ---
+++
@@ -1,2 +1,2 @@
#! /bin/sh
-$XGETTEXT *.cpp -o $podir/katetabbarextension.pot
+$XGETTEXT *.cpp *.h -o $podir/katetabbarextension.pot | bash |
d_bash_4278 | ---
+++
@@ -5,7 +5,7 @@
fails=0
# Can't read list of pads
-curl --silent --head -X GET https://$firebase/firepads.json | grep 403 || let fails++
+curl --silent --head -X GET https://$firebase/firepads.json | grep '40[0-9]' || let fails++
# Can read pad with known name
curl --silent --head -X GET https://$fireba... | bash |
d_bash_4279 | ---
+++
@@ -5,7 +5,7 @@
cd "$1"
# Electron's version.
-export npm_config_target=1.4.0
+export npm_config_target=$(electron -v | cut -c 2-)
# The architecture of Electron, can be ia32 or x64.
export npm_config_arch=x64
# Download headers for Electron. | bash |
d_bash_4280 | ---
+++
@@ -1,3 +1,20 @@
#!/bin/sh
-/usr/lib/jvm/java-1.6.0-openjdk/bin/java \
- -Xbootclasspath/p:`pwd`/client-release/LibExt/bc-jce.jar -jar client-release/martus.jar
+# This is how you'd run Martus with a proper class path and files installed
+# in it:
+# /usr/lib/jvm/java-1.6.0-openjdk/bin/java \
+# -Xboot... | bash |
d_bash_4281 | ---
+++
@@ -5,6 +5,10 @@
# file COPYING or http://www.opensource.org/licenses/mit-license.php.
export LC_ALL=C
+
+travis_retry sudo apt update && sudo apt install -y clang-format-9
+sudo update-alternatives --install /usr/bin/clang-format clang-format $(which clang-format-9 ) 100
+sudo update-altern... | bash |
d_bash_4282 | ---
+++
@@ -12,6 +12,6 @@
[ -e "$NEWROOT/etc/selinux/config" ] && . "$NEWROOT/etc/selinux/config"
getarg "enforcing=0" > /dev/null
-if [ $? -eq 1 -o "$SELINUX" = "enforcing" ]; then
+if [ $? -eq 1 -a "$SELINUX" = "enforcing" ]; then
echo 1 > "$NEWROOT"/selinux/enforce
fi | bash |
d_bash_4283 | ---
+++
@@ -28,11 +28,15 @@
fi
# build and install mapserver
-autoconf || die "autoconf failed"
-./configure --prefix=${PREFIX}/mapserver-install --with-threads || die "configure failed"
+if [ -f ./CMakeLists.txt ]; then # it's a cmake build
+ cmake CMakeLists.txt -DWITH_THREADS=1 -DCMAKE_PREFIX_PATH=${PREFIX}... | bash |
d_bash_4284 | ---
+++
@@ -4,7 +4,12 @@
echo ""
sudo apt-get install \
build-essential \
- autotools-dev
+ autotools-dev \
+ autoconf \
+ bc \
+ unzip \
+ python \
+ clang
echo "ubuntu deps... done"
echo "gyp... " | bash |
d_bash_4285 | ---
+++
@@ -9,3 +9,7 @@
if [[ $TRAVIS_PHP_VERSION = '7.2' ]]; then
phpunit
fi
+
+if [[ $TRAVIS_PHP_VERSION = '7.3' ]]; then
+ phpunit
+fi | bash |
d_bash_4286 | ---
+++
@@ -11,8 +11,8 @@
# Detect cygwin
# This hack is made to make sure the image can be executed (otherwise image knows is windows
# and threats PATH as win style... and well, it does not finds anything)
-OS="`uname -s`"
-if [[ $OS = "*CYGWIN*" ]]; then
+OS="`uname -s | cut -b 1-6`"
+if [ $OS == "CYGWIN" ]; th... | bash |
d_bash_4287 | ---
+++
@@ -1,14 +1,14 @@
#!/bin/sh
# check for SVN revision number
-revision=`cd "$1" && LC_ALL=C svn info 2> /dev/null | grep Revision | cut -d' ' -f2`
-test $revision || revision=`cd "$1" && grep revision .svn/entries 2>/dev/null | cut -d '"' -f2`
-test $revision || revision=`cd "$1" && sed -n -e '/^dir$/{n;p;... | bash |
d_bash_4288 | ---
+++
@@ -1,8 +1,11 @@
-# Build the merge commit of the PR
-git fetch origin +refs/pull/$BUILDKITE_PULL_REQUEST/merge:
-git checkout -qf FETCH_HEAD
+if [ $BUILDKITE_PULL_REQUEST != false ] ; then
+ # Build the merge commit of the PR
+ git fetch origin +refs/pull/$BUILDKITE_PULL_REQUEST/merge:
+ git checkou... | bash |
d_bash_4289 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/sh
-wmctrl -l | awk '{ print $1 }' | xargs -P"$(nproc)" -L1 wmctrl -ci
+wmctrl -l | awk '{ print $1 }' | xargs -P0 -L1 wmctrl -ci
exit 0 | bash |
d_bash_4290 | ---
+++
@@ -8,5 +8,5 @@
node --version
npm --version
npm install
-./node_modules/karma/bin/karma --version
-./node_modules/karma/bin/karma start
+karma --version
+karma start | bash |
d_bash_4291 | ---
+++
@@ -6,7 +6,7 @@
#
# Override IP address for testing (kos.zoo.x.ac.uk)
-IPADDR="129.67.26.204"
+# IPADDR="129.67.26.204"
# Samba/Windows workgroup name for research group files
WORKGROUP="EvolutionaryDevelopment" | bash |
d_bash_4292 | ---
+++
@@ -15,6 +15,9 @@
}
trap rollback INT TERM EXIT ERR
+
+ # allow bower to run inside docker
+ echo '{ "allow_root": true }' > /root/.bowerrc
npm install -q -g gulp bower
bower install -q | bash |
d_bash_4293 | ---
+++
@@ -3,5 +3,7 @@
# Scheduler settings for Swift/Theta
# Tell Swift/T to generate and submit a Theta-formatted script
+export QUEUE=${QUEUE:-debug-flat-quad}
+export PROJECT=Candle_ECP
MACHINE="-m theta"
| bash |
d_bash_4294 | ---
+++
@@ -6,4 +6,4 @@
pip install argparse ordereddict unittest2
fi
fi
-pip install coverage pep8
+pip install coverage pep8 pep257 | bash |
d_bash_4295 | ---
+++
@@ -30,7 +30,13 @@
fi
if [[ "${rc}" == 0 ]]; then
- bazel run //:ci-artifacts -- "gs://kubernetes-release-dev/bazel/$(git rev-parse HEAD)" && rc=$? || rc=$?
+ version=$(cat bazel-genfiles/version || true)
+ if [[ -z "${version}" ]]; then
+ echo "Kubernetes version missing; not uploading ci artifacts... | bash |
d_bash_4296 | ---
+++
@@ -21,5 +21,5 @@
pass
if not C:
# let dlopen throw it's error
- ffi.dlopen("libcirllhist.so")
+ ffi.dlopen("libcircllhist.so")
EOF | bash |
d_bash_4297 | ---
+++
@@ -7,7 +7,6 @@
effectiveDate="2014-01-31"
readmeEndDate="2014"
isFirstTime=true
-externalDataLocation="int_refsets_first"
# Call api_client
source ../api_client.sh | bash |
d_bash_4298 | ---
+++
@@ -1,2 +1,2 @@
-fab target.demo app.admin.all app.main.all app.checker.all app.service.all
+fab -p $1 target.demo app.admin.all app.main.all app.checker.all app.service.all server.restart_tomcat
| bash |
d_bash_4299 | ---
+++
@@ -11,7 +11,7 @@
cargo test --all --all-targets
(
- cargo install protobuf-codegen --version '2.8.2'
+ cargo install protobuf-codegen
cd grpc-compiler/test-protoc-plugin
| bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.